﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CatanGame.Model
{
    /// <summary>
    /// Represents a resource.
    /// </summary>
    public enum ResourceType { None, Lumber, Brick, Wool, Grain, Ore, Sea };
    /// <summary>
    /// Represents a card.
    /// </summary>
    public enum CardType { Knight, VictoryPoint, None };
    /// <summary>
    /// Represents a house.
    /// </summary>
    public enum HouseType { NoBuilding, Settlement, City };

    /// <summary>
    /// Represents a direction.
    /// </summary>
    public enum Direction { Bottom, Top };
}
