﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CatanGame.Model
{
    /// <summary>
    /// Represents a node in the board.
    /// </summary>
    public class Node
    {
        /// <summary>
        /// Gets or sets the building in the node.
        /// </summary>
        public House Building { get; set; }
        /// <summary>
        /// Gets or sets the position of the node on the board.
        /// </summary>
        public NodeCoordinates Position { get; set; }
    }
}
