﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CatanGame.Model
{
    /// <summary>
    /// The arguments to the BuyCard event
    /// </summary>
    public class BuyCardEventArgs : EventArgs
    {
        private CardType _result;

        /// <summary>
        /// Gets the card that was bought.
        /// </summary>
        public CardType Result { get { return _result; } }

        #region Constructor
        public BuyCardEventArgs(CardType result)
        {
            _result = result;
        }
        #endregion


    }
}
