﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CatanGame.Model
{
    /// <summary>
    /// Represents the arguments for the RobberRolled event.
    /// </summary>
    public class RobberRolledEventArgs
    {
        /// <summary>
        /// Gets or sets the possible robber positions.
        /// </summary>
        public List<(int R, int Q)> PossibleRobberPositions { get; set; }

        public RobberRolledEventArgs(List<(int R, int Q)> possibleRobberPositions)
        {
            PossibleRobberPositions = possibleRobberPositions;
        }
    }
}
