# Catan társasjáték

Az általunk készített alkalmazás a Catan társasjáték számítógépes implementációja.
Az alkalmazás lehetővé teszi három játékos számára, hogy egy számítógépen le tudjanak játszani egy Catan játszmát.


## Hogy kell használni?

Az alkalmazás indításakor egy kezdőablak fogad minket, itt tudjuk megadni a játékosok neveit.  

![Nevek megadása](/readmeAssets/preGameWindow.png)


Miután megadtuk a neveket és rákattintottunk az "Új játék" gombra, a társasjáték ablaka fogad minket. Ha bármi bizonytalanságunk van a játékszabályokkal kapcsolatban, a "Súgó" gomb megnyomásával kaphatunk extra információkat. Kezdődhet a játék!  

![Játék ablaka](/readmeAssets/gameWindow.png)

Az inicializáló kör után a soron következő játékos dobhat a kockával, és kockadobás után (ha van erőforrása) megnyilnak a következő lehetőségek: 

- Út lerakása
- Ház lerakása
- Kereskedés
- Bónuszkártya vásárlás
- Bónuszkártyák megtekintése
- Város építése (ehhez különálló gomb nincs, a saját házunkra kattintva tudjuk várossá fejleszteni)

A kereskedés, a bónusz kártyák megtekintése és a súgó külön ablakokban vannak.

### Kereskedés

A kereskedés felajánlhatjuk a saját erőforrásainkat a banknak, és cserébe kérhetünk más erőforrásokat.  

![Kereskedés](/readmeAssets/trade.png)


### Bónuszkártyák megtekintése

Ha szeretnénk tudni, hogy milyen bónusz kártyákkal rendelkezünk, akkor a "Bónusz kártyák megtekintése" gombra kattintva az alábbi ablak fogad minket.  

![Bónuszkártyák](/readmeAssets/bonusCards.png)



### Súgó

Ha bizonytalanok vagyunk a játék szabályaiban, akkor a "Súgó" gombra kattintva átkerülünk a súgó nézetbe. Itt hasznos információkat találunk a játékkal kapcsolatban.  

![Súgó](/readmeAssets/help.png)
--

További információkat az alkalmazással kapcsolatban a Wiki oldalunkon lehet találni.

